import { Validators } from '@angular/forms'

export class ProjectField {
    constructor(
        public name: string,
        public validators = [],
        public type: string = 'string',
        public defaultValue?: string,
        public inTable: boolean = true
    ) {}
}

export const projectFields: ProjectField[] = [
    new ProjectField('id'),
    new ProjectField('name', [Validators.required]),
    new ProjectField('contact_person'),
    new ProjectField('site'),
    new ProjectField('date_approved', [], 'date'),
    new ProjectField('start_date_planned', [], 'date'),
    new ProjectField('start_date_effective', [], 'date'),
    new ProjectField('end_date_planned', [], 'date'),
    new ProjectField('end_date_effective', [], 'date'),
]
